Skip to main content
GET
List Agent Conversation Tickets

Headers

x-api-key
string | null

Your API key for programmatic access. Send it in the x-api-key header; you can create and manage keys from the Developers page.

Path Parameters

agent_id
string
required

Query Parameters

page_size
integer
default:100

How many agent conversation tickets to return. Can not exceed 100.

Required range: 1 <= x <= 100
conversation_id
string | null

Filter tickets by conversation id.

status
enum<string> | null

Filter tickets by status.

Available options:
open,
in_progress,
resolved,
merged
sources
enum<string>[] | null

Filter tickets by how they were raised (qa, agent, manual). Repeat the parameter to filter by multiple sources.

Available options:
qa,
agent,
manual
owner_user_id
string | null

Filter tickets by creator. Use 'agent' for agent-raised tickets.

assignee_user_id
string | null

Filter tickets by assignee. Use 'unassigned' for tickets with no assignee.

issue_type
enum<string> | null

Filter clusters by issue type.

Available options:
knowledge_gap,
incorrect_information,
documentation_gap,
product_feedback,
platform_bug,
tool_issue,
missing_tool,
unnecessary_escalation,
wrong_action
label
string | null

Filter tickets by an exact label.

cursor
string | null

Used for fetching next page. Cursor is returned in the response.

Response

Successful Response

agent_conversation_tickets
AgentConversationTicketResponseModel · object[]
required
has_more
boolean
required
next_cursor
string | null